Plugin does not appear for user



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 17/11/2003 at 04:54, xxxxxxxx wrote:

    User Information:
    Cinema 4D Version:   8.207 
    Platform:   Windows  ;   
    Language(s) :     C++  ;

    ---------
    We have published our plugin and a user has downloaded it and reports that it does not appear in his system.
    I developed it in English on Windows 2000 sp 4 and Mac OS X 10.2.8 using 8.207 and 8.100 respectively.
    The user is using Cinema 4D 8.0.1.2 in German on Windows XP.
    Any suggestions as to how to debug this, given that the user is in Austria and I'm in the UK?



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 17/11/2003 at 05:45, xxxxxxxx wrote:

    My experience is that the most common cause of such errors is that somehow (bad decompression software or user error) the folder hierarchy has been destroyed so that resource files aren't found. (Since you usually have "if (!Register...) return FALSE" in the main function.)
    If that isn't the case, you could compile a debug version of your plugin that outputs GePrint() statements at strategical positions, then ask your user to report what it says.



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 21/11/2003 at 08:34, xxxxxxxx wrote:

    The user needs a version that matches the version you compiled for. As you used 8.1/8.2 he needs the same.
    You can manually adjust the API_VERSION variable if you are sure that you didn't use any of the new features/changes introduced with each version, but that's very risky.
    BTW. there's no reason not to use version 8.2...



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 21/11/2003 at 08:38, xxxxxxxx wrote:

    BTW. there's no reason not to use version 8.2...
    Exactly! The german user still uses the early bird version of Cinema 4D (which is btw. spread a lot illegally *hint* ). Updates up to 8.207 were free of charge. So "force" your user to update rather than recompiling your plugin once again.


Log in to reply